/*
 *  TOPPERS ATK2
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *      Automotive Kernel Version 2
 *
 *  Copyright (C) 2008-2013 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2011-2013 by FUJISOFT INCORPORATED, JAPAN
 *  Copyright (C) 2011-2013 by FUJITSU VLSI LIMITED, JAPAN
 *  Copyright (C) 2011-2013 by NEC Communication Systems, Ltd., JAPAN
 *  Copyright (C) 2011-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
 *  Copyright (C) 2011-2013 by Renesas Electronics Corporation, JAPAN
 *  Copyright (C) 2011-2013 by Sunny Giken Inc., JAPAN
 *  Copyright (C) 2011-2013 by TOSHIBA CORPORATION, JAPAN
 *  Copyright (C) 2011-2013 by Witz Corporation, JAPAN
 *
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 *
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 *
 *  $Id: prc_kernel.h 6835 2013-01-23 10:11:15Z fsi-dankei $
 */

/*
 *		Os.hΥץå¸Nios2ѡ
 *
 *  Υ󥯥롼ɥեϡOs.hǥ󥯥롼ɤ롥¾Υե
 *  뤫ľܥ󥯥롼ɤ뤳ȤϤʤ
 */

#ifndef TOPPERS_PRC_KERNEL_H
#define TOPPERS_PRC_KERNEL_H

#ifndef TOPPERS_MACRO_ONLY

typedef uint32	SystemTimeMsType;
typedef uint32	SystemTimeUsType;

/*
 *  CPU㳰װݻѿprc_config.c
 *  桼ץƥեå黲Ȥ뤿ᡤ
 *  Os.h饤󥯥롼ɤprc_kernel.hǻ
 */
/* CPU㳰ȯCPU㳰װֹݻѿ */
#ifdef CFG_USE_PROTECTIONHOOK
extern uint32	nios2_cpu_exp_no;

/* CPU㳰ȯץ५󥿡PC - 4ˤݻѿ */
extern uint32	nios2_cpu_exp_pc;

/* CPU㳰ȯCPU㳰ȯսʥɥ쥹ˤݻѿ */
extern uint32	nios2_cpu_exp_bad_addr;

/* CPU㳰ȯåݥ󥿤ݻѿ */
extern uint32	nios2_cpu_exp_sp;
#endif /* CFG_USE_PROTECTIONHOOK */

#endif /* TOPPERS_MACRO_ONLY */

/*
 *  ݡȤ뵡ǽ
 */
#define TOPPERS_SUPPORT_GET_UTM         /* get_utm򥵥ݡȤ */


#endif /* TOPPERS_PRC_KERNEL_H */
