$
$  TOPPERS ATK2
$      Toyohashi Open Platform for Embedded Real-Time Systems
$      Automotive Kernel Version 2
$
$  Copyright (C) 2012-2013 by Center for Embedded Computing Systems
$              Graduate School of Information Science, Nagoya Univ., JAPAN
$  Copyright (C) 2012-2013 by FUJISOFT INCORPORATED, JAPAN
$  Copyright (C) 2012-2013 by FUJITSU VLSI LIMITED, JAPAN
$  Copyright (C) 2012-2013 by NEC Communication Systems, Ltd., JAPAN
$  Copyright (C) 2012-2013 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
$  Copyright (C) 2012-2013 by Renesas Electronics Corporation, JAPAN
$  Copyright (C) 2012-2013 by Sunny Giken Inc., JAPAN
$  Copyright (C) 2012-2013 by TOSHIBA CORPORATION, JAPAN
$  Copyright (C) 2012-2013 by Witz Corporation, JAPAN
$
$  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
$  ܥեȥѤΤޤࡥʲƱˤѡʣ
$  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
$  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
$      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
$      ˴ޤޤƤ뤳ȡ
$  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
$      ѤǤǺۤˤϡۤȼɥȡ
$      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
$      ̵ݾڵǺܤ뤳ȡ
$  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
$      ѤǤʤǺۤˤϡΤ줫ξ
$      ȡ
$    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
$        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
$    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
$        𤹤뤳ȡ
$  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
$      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
$      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
$      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
$      դ뤳ȡ
$
$  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
$  TOPPERSץȤϡܥեȥ˴ؤơλŪ
$  ФŬޤơʤݾڤԤʤޤܥեȥ
$  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
$  Ǥʤ
$
$  $Id: prc.tf 7254 2013-03-28 00:30:26Z fsi-dankei $
$

$
$     ѥ2Υƥ¸ƥץ졼ȡV850ѡ
$

$
$  ͭʳֹ
$
$ 
$ V850ǤϥꥻåȡNMIWDTϳߤʬव뤬ꥻåȤ
$ ͥ뤬Ѥ뤿

$INTNO_VALID = { 0,1,...,255 }$

$EXCNO_VALID = {1,2,3,4,5,7}$

$TNUM_EXC = {1,2,3,4,5,6,7}$

$
$ ͥ٤θĿ
$
$TNUM_INTPRI = 15$

$
$  CRE_ISR2ǻѤǤֹ
$
$INTNO_CREISR2_VALID = INTNO_VALID$

$
$  ɸƥץ졼ȥեΥ󥯥롼
$
$INCLUDE "kernel/kernel.tf"$

$FOREACH intno INTNO_VALID$
	$FOREACH isrid ISR.ID_LIST$
		$IF intno == ISR.INTNO[isrid]$
			$INT.ISRID[intno] = isrid$
		$END$
	$END$
$END$


$FILE "Os_Lcfg.c"$

$
$ C2ISRͥٲ
$
$n = 0$
$pmr_isr2_mask = 0xffff$
$WHILE (n < (MIN_PRI_ISR2 + 16))$
$pmr_isr2_mask = pmr_isr2_mask & ~(0x01 << n)$
$n = n + 1$
$END$
$pmr_isr1_mask = ~pmr_isr2_mask & 0xffff $

const uint16 pmr_isr2_mask = $FORMAT("0x%x",pmr_isr2_mask)$;$NL$
const uint16 pmr_isr1_mask = $FORMAT("0x%x",pmr_isr1_mask)$;$NL$

$
$  ߥϥɥơ֥(EI٥롡ޥ֥)
$
const FunctionRefType isr_tbl[TNUM_INT] = {$NL$
$JOINEACH intno INTNO_VALID "\n"$
	$isrid = INT.ISRID[intno]$
	$IF LENGTH(isrid)$
		$TAB$$ISR.INT_ENTRY[isrid]$
	$ELSE$
		$TAB$default_int_handler
	$END$
$	//ޤνϡʺǸǤθ˽Ϥʤ
	$IF intno != AT(INTNO_VALID,LENGTH(INTNO_VALID) - 1)$
		,
	$END$
	$TAB$$FORMAT("/* %d */", intno)$
$END$
$NL$};$NL$
$NL$

$
$  ISRCBμơ֥(EI٥롡ޥ֥)
$
ISRCB *const isr_p_isrcb_tbl[TNUM_INT] = {$NL$
$JOINEACH intno INTNO_VALID "\n"$
	$isrid = INT.ISRID[intno]$
	$IF LENGTH(isrid) && EQ(ISR.CATEGORY[isrid], "CATEGORY_2")$
		$TAB$&(isrcb_table[$ISR.ID[isrid]$])
	$ELSE$
		$TAB$NULL
	$END$
$	//ޤνϡʺǸǤθ˽Ϥʤ
	$IF intno != AT(INTNO_VALID,LENGTH(INTNO_VALID) - 1)$
		,
	$END$
	$TAB$$FORMAT("/* %d */", intno)$
$END$
$NL$};$NL$
$NL$

$
$ ߥ٥ȳƳ
$


$
$ ٥ơ֥(㳰װƤ)
$
extern void vector_top(void) __attribute__((section (".vector")));$NL$
void$NL$
vector_top(void)$NL$
{$NL$
$
$ ٥ơ֥(ꥻå)
$
	$TAB$Asm(".global _reset");$NL$
	$TAB$Asm("jr _reset");
	$FORMAT(" /* Exception 0x%x */", 0)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$
$ ٥ơ֥(㳰 No1-7)
$
$ 㳰 No1
	$TAB$Asm("jr _fe_exception_entry");
	$FORMAT(" /* Exception 0x%x */", 1)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$ 㳰 No2
	$TAB$Asm("jr _fe_exception_entry");
	$FORMAT(" /* Exception 0x%x */", 2)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$ 㳰 No3
	$TAB$Asm("jr _fe_exception_entry");
	$FORMAT(" /* Exception 0x%x */", 3)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$ 㳰 No4
	$TAB$Asm("jr _ei_exception_entry");
	$FORMAT(" /* Exception 0x%x */", 4)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$ 㳰 No5
	$TAB$Asm("jr _fe_exception_entry");
	$FORMAT(" /* Exception 0x%x */", 5)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$ 㳰 No6
	$TAB$Asm("nop");
	$FORMAT(" /* Exception 0x%x */", 6)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
$ 㳰 No7
	$TAB$Asm("jr _fe_exception_entry");
	$FORMAT(" /* Exception 0x%x */", 7)$$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$
	$TAB$Asm("nop");$NL$


$
$ ٥ơ֥(EI٥ ޥ֥(8-255)
$
$FOREACH intno INTNO_VALID$
$TAB$/* $FORMAT("0x%x",intno*16 + 0x80)$ */ $NL$
	$isrid = INT.ISRID[intno]$
	$IF LENGTH(isrid)$
		$IF EQ(ISR.CATEGORY[isrid], "CATEGORY_2")$
			$TAB$Asm("addi	-80 , sp , sp");$NL$
			$TAB$Asm("st.w	r12 , 44[sp]");$NL$
			$TAB$Asm("addi	$intno$,r0, r12");$NL$
			$TAB$Asm("jr	_interrupt");$NL$
		$ELSE$
			$TAB$Asm("jr _$ISR.INT_ENTRY[isrid]$");$NL$
			$TAB$Asm("nop");$NL$
			$TAB$Asm("nop");$NL$
			$TAB$Asm("nop");$NL$
			$TAB$Asm("nop");$NL$
			$TAB$Asm("nop");$NL$
			$TAB$Asm("nop");$NL$
		$END$
	$ELSE$
$		// ߥϥɥϿʤ
		$TAB$Asm("jr _default_int_handler");$NL$
		$TAB$Asm("nop");$NL$
		$TAB$Asm("nop");$NL$
		$TAB$Asm("nop");$NL$
		$TAB$Asm("nop");$NL$
		$TAB$Asm("nop");$NL$
		$TAB$Asm("nop");$NL$
	$END$
$END$
}$NL$
